========================================================================
index.php - note
<ul>
<li><strong>I.</strong> The results from this tool are valid only for those uses that <span class="underlined">take place within the United States</span>. In other countries, the 
copyright law of those countries is in effect.<br /><br /></li>
<li><strong>II.</strong> Because of 
international copyright agreements, copyrighted materials from 
other countries are afforded the same protections and are subject 
to the same exceptions as materials created in the U.S.<br /><br /></li>
<li><strong>III.</strong> As such, the 
national origin of a copyrighted work has <span class="underlined">no bearing</span> on these 
educational exceptions, as long as the course in which they are 
used takes place in the U.S.A.</li>
</ul>
========================================================================
index.php - disclaimer
<ul>
<li><strong>THIS TOOL IS:</strong> <span class="italic">Intended as a source 
of information for educators &amp; others to better understand the educational 
exceptions available in U.S. Copyright Law.</span><br /><br /></li>
<li><strong>THIS TOOL IS NOT:</strong> <span class="italic">A source of legal 
advice or assistance.</span> Results are only as good as the input provided by 
the user and are intended to suggest next steps, and not to provide 
a final judgment.<br /><br /></li>
<li><i>The American Library Association, the ALA Office for Information Technology 
Policy, and Michael Brewer are not providing legal advice in the use of this tool.</i></li>
</ul>
========================================================================
performancedisplay.php - examples
<ul>
<li><strong>Performance:</strong> 1) Screening a film or television program, playing a musical or other recording (or portions thereof), etc., 
2) Having students perform a scene from a play, ballet, opera, score, etc.<br /><br /></li>
<li><strong>Display:</strong> 1) Showing your class a PowerPoint presentation that 
includes copyrighted images and/or text; 2) Using the computer and projection system in your class to direct your students through an online photography exhibit hosted by the British Library</li>
</ul>
========================================================================
onlinehybrid.php - examples
<ul>
<li><strong>Example 1:</strong> Using a course management system to provide student 
access to Powerpoint slides that you've created for an assignment and which contain 
images and text copied from various sources<br /><br /></li>
<li><strong>Example 2:</strong> Providing students with temporary, authenticated 
access to streaming video or audio clips you've put together from popular culture 
for them to critique in a required writing assignment.</li>
</ul>
========================================================================
legalcopy.php - note
<ul>
<li><strong>Clarification:</strong> A legal copy is one that was legally obtained (purchased from a reputable 
vendor, checked out from a library, etc.).<br /><br /></li> 
<li><strong>Examples: 1)</strong> If you're screening a film in class, you should <u>not</u> use a dubbed copy.<strong>*</strong> Use a legally acquired copy. <strong>2)</strong> If you're streaming portions of a film (under TEACH), the copy from which the streaming files are created must be a legal  one.</li><br> <br>
<li><strong>*Note:</strong> While there were "fair use" guidelines for the educational use of off-air recordings (content taped from television)  included in a House Report (H.R. 97-495), these are guidelines and are not the law. [See <a href="http://www.copyright.gov/circs/circ21.pdf" onclick="newWindowLink(this); return false;">Circular 21</a>, page 22]. Any use of this type (of copyrighted content recorded from television or from  some other source) would also have to be justified separately under Fair Use.</li><br><br>
<li><strong>Bottom Line:</strong> If you are unsure of whether or not your copy is legal or was legally obtained <i>(e.g. it's a DVD-R of a popular film with no case or studio information printed on it),</i> you should check with a librarian or a copyright specialist.</li>
</ul>
========================================================================
facetoface.php - note
<strong>Clarification:</strong> If the performance or display will happen in the classroom and as part of the course, it would meet the "face to face" requirement.
========================================================================
onlineinstruction.php - examples
<ul><li><strong>Display:</strong> Examples of "displaying" could include posting copyrighted photographs, 
images or text on a secure course webpage.</li><br><br> <li><strong>Performance:</strong> Examples of "performing" could 
include providing access to streaming video or audio through a secure 
course management system.</li></ul>
========================================================================
onlineinstruction.php - note1
<ul>
<li><strong>Definition:</strong> "Mediated" here means that the course has an instructor involved in 
directing it.*<br /><br /></li>
<li><strong>*From Senate Report (107th Congress):</strong> [TEACH] 
"is not intended to require either constant, real-time supervision by the instructor or pre-approval by 
the instructor for the performance and display. Asynchronous learning, 
at the pace of the student, is a significant and beneficial 
characteristic of digital distance education and the concept of 
control and supervision is not intended to limit the qualification 
of such asynchronous activities for this exemption" (From Part IV, 
"Section-by-Section Analysis")</li>
</ul>
========================================================================
onlineinstruction.php - note2
<ul>
<li><strong>Clarification:</strong> 1) The course may be entirely online, or may be a traditional course that has some instructional activities that take place virtually.<br /><br /></li>
<li><strong>Clarification:</strong> 2) The display or performance may take place virtually at the <span class="underlined">same time</span> for all students and the instructor (synchronous), or may take place at <span class="underlined">different times</span> (asynchronous).*<br /><br /></li>
<li><strong>*From Senate Report (107th Congress):</strong> "For our nation to maintain its competitive edge, it 
will need to extend education beyond children and young adults to 
lifelong learning for working adults, and to reach all students of all 
income levels, in cities and rural settings, in schools and on 
campuses, in the workplace, at home and at times selected by students 
to meet their needs. Distance digital education helps make this 
possible, whether in the traditional sense, when instructor and 
student are separated in place and perhaps in time, 
or in new hybrids of traditional classroom 
education combined with online components" (under Part I, "Purpose")<br /><br /></li>
<li><strong>*From Senate Report (107th Congress):</strong> "Asynchronous learning, 
at the pace of the student, is a significant and beneficial 
characteristic of digital distance education and the concept of 
control and supervision is not intended to limit the qualification 
of such asynchronous activities for this exemption" (under Part IV, "Section-by-Section Analysis")</li>
</ul>
========================================================================
allowedusers.php - note
<strong>Clarification:</strong> Access to the online display or performance of any materials under 
this section must end when the course ends.
========================================================================
primarilyinstructional.php - example
<strong>Example:</strong> Instructional materials or content (podcasts, assignments, 
video tutorials or clips, etc.) created specifically for courses designed 
for professionals who have ongoing learning or professional development 
requirements as part of their continuing certification (e.g. medical 
professionals, lawyers, IT technicians, etc.)
========================================================================
selectedbyinstructor.php - examples
<ul>
<li><strong>Acceptable:</strong> The instructor could direct a teaching assistant 
(e.g. as part of an online discussion) or student (e.g. as part 
of an assignment) to post content that would be covered by this 
exception.<br /><br /></li>
<li><strong>Unacceptable:</strong> Students 
using the course management system to share music files, 
photographs, or other copyrighted material that were not 
directly related to course assignments.</li>
</ul>
========================================================================
learninggoals.php - example
<strong>Clarification:</strong> Does the use of the material <strong>1)</strong> directly support an 
identified learning outcome, or is it <strong>2)</strong> required for the completion of an 
assignment or other activity in the course syllabus?
========================================================================
comparableamount.php - examples
<strong>Example:</strong> Displaying copyrighted photographs, 
images or text (<i>but in amounts that would normally be shown in class</i>) on 
a secure course webpage or course management system
========================================================================
comparableamount.php - example
<ul>
<li><strong>Acceptable Example:</strong> Scanning and posting to Blackboard 
a dozen or so provocative images, selected to generate lively discussion board 
postings from your class on a new course topic.<br /><br /></li>
<li><strong>Unacceptable Example:</strong> Scanning and posting to Blackboard 
a whole slide library that students might use in their research.<br /><br /></li>
<li><strong>Unacceptable Example:</strong> Scanning and posting an entire textbook so students wouldn't have to buy it or 
come into the library to use the one on reserve.</li>
</ul>
========================================================================
reasonableandlimited.php - examples1
<ul>
<li><strong>Clarification:</strong> Neither "dramatic" nor "nondramatic" are defined in the law.<br /><br /></li>
<li><strong>Dramatic Works:</strong> Generally, in <span class="underlined">dramatic</span> literary works the narrative is told 
through dialogue and action (i.e. theatrical performances)<br /><br /></li>
<li><strong>Nondramatic Works:</strong> Thus, the performance of a <span class="underlined">nondramatic</span> literary work would 
include things like recorded recitations from books or other sources</li>
</ul>
========================================================================
reasonableandlimited.php - note
<ul>
<li><strong>Clarification:</strong> "Reasonable and limited" is not defined in the law itself*<br /><br /></li>
<li><strong>*From Senate Report (107th Congress):</strong> "[W]hat constitutes a '<i>reasonable and limited</i>' 
portion should take into account both the <span class="underlined">nature of the market</span> for that 
type of work and the <span class="underlined">pedagogical purposes</span> of the performance." The Report also defines 
'<i>reasonable and limited</i>' as "less than the entire work" (under Part IV, "Section-by-Section Analysis")<br /><br /></li>
<li><strong>Conclusion:</strong> As such, <strong>1)</strong> the amount used should not 
exceed that which is required to provide for the educational objectives set forth by the 
instructor; <strong>2)</strong> It should not exceed what would normally be performed 
during an in-class session, <strong>3)</strong> Should be less than the entire work, and <strong>4)</strong> Consideration should be given as to the  potential effect 
the performance of the amount under consideration could have on the market for the work.</li>
</ul>
========================================================================
reasonableandlimited.php - examples2
<ul>
<li><strong>Clarification:</strong> "<i>Other works</i>" includes <strong>1)</strong> any audiovisual works (film or video of any kind), 
 or <strong>2)</strong> performances of dramatic literary or musical works 
(theatrical literary or musical productions like plays, ballet or opera). Only "<i>reasonable and limited portions</i>" 
of these categories of works are allowed under this exception.</li>
</ul>
========================================================================
digitalvideo.php - note
<ul>
<li><strong>Clarification:</strong> While the text of the law [Section 110(2)] disallows circumventing the CSS [Content Scramble System] 
anti-piracy protections that control access and inhibit the duplication of many commercial DVDs (like Macrovision, etc.), in 2009, the Librarian of Congress added an exception to (17 U.S.C.  1201(a)(1)) that made it legal (at least until the next rulemaking in 2012) to circumvent CSS for the purposes covered by TEACH. See: <a href="http://www.copyright.gov/1201/" onclick="newWindowLink(this); return false;">http://www.copyright.gov/1201/</a></li>
</ul>
========================================================================
institutionalmeasures.php - example
<ul>
<li><strong>Example:</strong> Using a course managment system, or other means of authenticating valid users, to limit access only to those enrolled in  the course<br /><br /></li>
<li><strong>Example:</strong> Using audio/video streaming or other technologies to ensure that video or audio clips cannot 
be retained or further disseminated</li>
</ul>
========================================================================
institutionalmeasures.php - note
<ul>
<li><strong>Clarification:</strong> While the text of the law [Section 110(2)] requires institutions to refrain from interfering with or circumventing technological measures taken by copyright owners that prevent retention and distribution (i.e. anti-piracy controls), in 2009 the Librarian of Congress added an exception to (17 U.S.C.  1201(a)(1)) that made it legal (at least until the next rulemaking in 2012) to circumvent CSS for the purposes covered by TEACH. See: <a href="http://www.copyright.gov/1201/" onclick="newWindowLink(this); return false;">http://www.copyright.gov/1201/</a>
</ul>
========================================================================
createpdf.php - statementofprivacy
<ul>
<li><strong>I.</strong> This tool can collect, reformat, and publish the 
information you choose to provide it (in PDF format)<br /><br /></li>
<li><strong>II.</strong> You may choose to save the PDF file to your computer, print it out for your records, email it to a colleague or copyright  specialist for assistance or comment, 
or just view it on your screen<br /><br /></li>
<li><strong>III.</strong> You may provide as much or as little information as you like, and none of the information you 
provide is retained on the server after you exit the site</li>
</ul>
========================================================================
createpdf.php - note1
<strong>Examples: 1)</strong> the name and number of course, <strong>2)</strong> the amount 
to be used (20 second clip, 2 8 minute clips, entire work, etc.), 
<strong>3)</strong> the expected learning outcomes or assignment[s] associated with 
the display or performance of the copyrighted material, etc.
========================================================================
createpdf.php - note2
Checking "Yes" will include on the PDF all of the explanatory notes 
and descriptions provided by this tool for the sections 
you've completed.
========================================================================
localcopyrightinfo.php - creativecommons
<ul>
<li><strong>I.</strong> This tool is licensed under a Creative Commons <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/" onclick="newWindowLink(this); return false;">Attribution NonCommercial Share Alike license.</a> You are free to copy, distribute and transmit the work  under the conditions set out in the license.<br /><br /></li>
<li><strong>II.</strong> Modifications to the tool, however, should be limited to the addition of local copyright contact information or resources on  the "Local Info &amp; Contacts" page. Permission should be sought for any other changes to the tool (and please don't hesitate to ask or make  suggestions)<br /><br /></li>
<li><strong>III.</strong> If you like a copy of this tool, or would like to talk more about how you might use it at your own institution, please contact <a href="mailto:brewerm@u.library.arizona.edu">Michael Brewer</a> or <a href="mailto:crussell@alawash.org">Carrie Russell</a> at ALA's Office for  Information Technology Policy, and we will supply you with all the necessary files and instructions</li>
</ul>