<?php
/************************************************************************
 * FILE:   popUp.css.php                                                *
 * AUTHOR: Justin Spargur                                               *
 * DATE:   04/21/09                                                     *
 *                                                                      *
 * DESCRIPTION:                                                         *
 * This file contains the CSS used in the Fair Use Application for the  *
 * faux "pop-up window" functionality.                                  *
 *                                                                      *
 * INCLUDED FILES:                                                      *
 *    - "includes/browserCheck.php"                                     *
 *                                                                      *
 * FUNCTIONS/METHODS INCLUDED:                                          *
 *    - None                                                            *
 *                                                                      *
 * KNOWN BUGS:                                                          *
 *    - None                                                            *
 *                                                                      *
 * ADDITIONAL NOTES:                                                    *
 *    - Rather than using CSS hacks to accomodate browser-specific      *
 *      styles, we use conditional statements in PHP.                   *
 *    - Because the file extension for this file is .php, we include    *
 *      a call to the header function to send the appropriate content   *
 *      type to browsers.                                               *
 *                                                                      *
 * CHANGES MADE:                                                        *
 *    - None                                                            *
 *                                                                      *
 ************************************************************************/

   include("../includes/browserCheck.php");
   header("Content-type: text/css; charset=iso-8859-1");
?>

/******************************************************
 * The following styles are used to modify the layout *
 * of the pop-up informational windows.               *
 ******************************************************/
#popUpWindow
{
   font-size:75%;
   background-color:#000082;
   color:#fff;
   padding:2%;
   padding-top:0;
   padding-right:20px;
   border:2px solid #fff;
   background-image:url("../images/popUpBackground.jpg");
   background-repeat:repeat-x;
}

.loadingPopup
{
   background-image:url('../images/loading.gif');
   background-repeat:no-repeat;
   background-position:0 3px;
   height:70px;
   padding-left:80px;
   padding-top:10px;
   font-size:12px;
   line-height:50px;
}

.popUpCloseBtn
{
   background-image:url('../images/popUpClose.jpg');
   background-repeat:no-repeat;
   text-align:center;
   line-height:20px;
   float:right;
   width:20px;
   height:20px;
   background-color:#fff;
   margin-right:-20px;
   overflow:hidden;
}

.popUpCloseBtn a
{
   width:50px;
   height:50px;
   padding:20px;
}

/******************************************************
 * The following styles are applied to the content    *
 * within the pop-up informational windows.           *
 ******************************************************/
#popUpWindow a
{
   color:white;
}

#popUpWindow a:hover
{
   color:#c00;
}

#popUpWindow h2
{
   font-size:20px;
   margin:0;
   margin-top:10px;
}

#popUpWindow h2 span
{
   font-size:40px;
   font-weight:normal;
}

#popUpWindow h2 a
{
   font-size:8px;
   font-weight:normal;
}

#popUpWindow li
{
   font-size:12px;
   padding-bottom:10px;
}

#popUpWindow ol.roman li span
{
   color:white;
}


/********************************************************
 * The following styles are applied to the two-column   *
 * boxes when viewed in a pop-up informational windows. *
 ********************************************************/

#popUpWindow .twoColumnBoxWrapper
{
   background-image:none;
   background-color:transparent;
}

#popUpWindow .twoColumnBox
{
   background-image:none;
   background-color:transparent;
}