<?php

include("includes/header.php");

// If we're starting over, then we need to make sure that
// we clear out all session variables.
if(isset($_GET["startOver"]) && $_GET["startOver"] == true)
{
   unset($_SESSION["userName"]);
   unset($_SESSION["userJobTitle"]);
   unset($_SESSION["userInstitution"]);
   unset($_SESSION["applies504"]);
   unset($_SESSION["pubTitle"]);
   unset($_SESSION["pubAuthor"]);
   unset($_SESSION["published"]);
   unset($_SESSION["publisher"]);
   unset($_SESSION["pubPlace"]);
   unset($_SESSION["pubYear"]);
   unset($_SESSION["pubDescription"]);
   unset($_SESSION["purpose"]);
   unset($_SESSION["purposeFair"]);
   unset($_SESSION["amount"]);
   unset($_SESSION["amountFair"]);
   unset($_SESSION["nature"]);
   unset($_SESSION["natureFair"]);
   unset($_SESSION["effect"]);
   unset($_SESSION["effectFair"]);
   unset($_SESSION["other"]);
   unset($_SESSION["userFairness"]);
}
?>
      <h1>Fair Use<br />Evaluator</h1>

      <div id="frontLeftCol">
      <h2>What this tool can do for you:</h2>

      <ul>
         <li>
            Help you better understand how to determine the &quot;fairness&quot; of a use under  the U.S.
            Copyright Code.</li>
         <li>
            Collect, organize &amp; archive the information
            you might need to support a fair use evaluation.</li>
         <li>
            Provide you with a time-stamped, PDF document for
            your records <a href="example.pdf" class="smallLink" onclick="newWindowLink(this); return false;">[example]</a>,
            which could prove valuable, should you ever be asked
            by a copyright holder to provide your fair use
             evaluation and the data you used to support it.
            <a href="whyitsimportant.php?backLink=<?php echo urlencode($_SERVER["PHP_SELF"]); ?>" class="popUp smallLink">[why is this important?]</a>
         </li>
         <li>
            Provide access to educational materials,
            external copyright resources, and contact
            information for copyright help at local &amp; national levels.</li>
      </ul>

      <h2>What this tool <span style="text-decoration:underline;">cannot</span> do for you:</h2>

      <ul>
         <li>This  tool does not provide legal advice. It records the information you provide it  as well as your own judgment on the fairness of the use. See the tool <a href="disclaimer.php?backLink=<?php echo urlencode($_SERVER["PHP_SELF"]); ?>" class="popUp smallLink">[disclaimer]</a> for  more information.</li>
         <li>Only a court of law can definitively rule on whether a use is fair or unfair. This tool does not assume or predict a court outcome.</li>
        </ul>

      </div>

      <div class="frontButtonsContainer">
         <a href="<?php echo $evaluationToolPages[0]; ?>">Make a Fair Use Evaluation</a>
         <a href="<?php echo $educationalPages[0]; ?>">Learn More about Fair Use</a>
      </div>

<div class="clearBlock"></div>

<?php
include("includes/footer.php");
?>