<?php
/************************************************************************
 * FILE:   setSessionVar.php                                            *
 * AUTHOR: Justin Spargur                                               *
 * DATE:   04/21/09                                                     *
 *                                                                      *
 * DESCRIPTION:                                                         *
 * This file is used to update the session variables for the last page  *
 * of the application. Since the form on this page isn't submitted, we  *
 * use an AJAX call to update the session variables before creating a   *
 * PDF.                                                                 *
 *                                                                      *
 * CLASSES USED:                                                        *
 *    - None                                                            *
 *                                                                      *
 * INCLUDED FILES:                                                      *
 *    - "includes/sessionHandler.php"                                   *
 *                                                                      *
 * FUNCTIONS/METHODS INCLUDED:                                          *
 *    - None                                                            *
 *                                                                      *
 * JAVASCRIPT:                                                          *
 *    - None                                                            *
 *                                                                      *
 * STYLE SHEETS:                                                        *
 *    - None                                                            *
 *                                                                      *
 * KNOWN BUGS:                                                          *
 *    - None                                                            *
 *                                                                      *
 * ADDITIONAL NOTES:                                                    *
 *    - This will only update the following GET parameters:             *
 *           - other                                                    *
 *           - userFairness                                             *
 *                                                                      *
 * CHANGES MADE:                                                        *
 *    - None                                                            *
 *                                                                      *
 ************************************************************************/

   require_once("includes/sessionHandler.php");

   if(isset($_GET["other"]))                    // textarea
      $_SESSION["other"] = $_GET["other"];

   if(isset($_GET["userFairness"]))             // checkbox
      $_SESSION["userFairness"] = $_GET["userFairness"];

?>